//------------------------------------------------------------------------------
// <copyright file=”*.cs” company=”EhLib Team”>
//     Copyright (c) 2017 Dmitry V. Bolshakov   
// </copyright>
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;
using System.Windows.Forms.VisualStyles;

namespace EhLib
{

  [DataAxisGridPropBarDesignTimeVisibleAttribute(true)]
  public class DataVertGridButtonRow : DataVertGridMonoCellRow
  {
    #region privates
    #endregion

    public DataVertGridButtonRow()
    {
    }

    #region properties
    [Browsable(false)]
    public new DataAxisGridButtonDataCell DataCell
    {
      get { return (DataAxisGridButtonDataCell)base.DataCell; }
    }

    [DefaultValue(FlatStyle.Standard) ]
    public FlatStyle FlatStyle
    {
      get { return DataCell.FlatStyle; }
      set { DataCell.FlatStyle = value; }
    }

    public string Text
    {
      get { return DataCell.Text; }
      set { DataCell.Text = value; }
    }

    [ DefaultValue(false) ]
    public bool UseColumnTextForButtonValue
    {
      get { return DataCell.UseColumnTextForButtonValue; }
      set { DataCell.UseColumnTextForButtonValue = value; }
    }
    #endregion

    #region methods
    protected override DataAxisGridDataCellMan CreateTemplateCell()
    {
      return new DataAxisGridButtonDataCell();
    }

    protected internal override void PaintCellBackground(
      DataAxisGridDataCellMan cellMan, DataAxisGridDataCellPaintEventArgs e)
    {
      base.PaintCellBackground(cellMan, e);
    }
    #endregion
  }
}
